﻿//using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Collections;
using System.Linq;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections.ObjectModel;
using System.Collections.Specialized;


namespace DataGrid
{
    public partial class Form1 : Form
    {
        Sample source;
        public Form1()
        {
            InitializeComponent();
            source = new Sample();
            this.gridGroupingControl1.ShowGroupDropArea = true;
            this.gridGroupingControl1.AllowProportionalColumnSizing = true;
            //Assigning datasource.
            this.gridGroupingControl1.DataSource = source;

            this.gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = false;

            this.gridGroupingControl1.AllowProportionalColumnSizing = true;

        }

        //Add the record to ObservableCollection in RunTime.
        private void button1_Click(object sender, EventArgs e)
        {
            for (int k = 0; k <= 5; k++)
            {
                Random rand = new Random();
                int r = rand.Next(100);
                source.Add(new SampleSrc(r.ToString(), "Category" + r.ToString(), "SampleData" + r.ToString()));
            }
            this.gridGroupingControl1.Table.TableDirty = true;
            this.gridGroupingControl1.Refresh();           
        }
    }
    //Observable Collection.
    public class SampleSrc 
    {
        private string column1, column2, column3;

        public string Column1
        {
            get { return column1; }
            set { column1 = value; }
            
        }
        public string Column2
        {
            get { return column2; }
            set { column2 = value; }
        }
        public string Column3
        {
            get { return column3; }
            set { column3 = value; }
        }
        public SampleSrc(string col1,string col2,string col3)
        {
            column1 = col1;
            column2 = col2;
            column3 = col3;
        }

    }
   
    public class Sample : ObservableCollection<SampleSrc>
    {
        public Sample()
        {
            Random rand = new Random();
            int r = rand.Next(100);
            
            for (int i = 0; i < 3; i++)
            {
                this.Add(new SampleSrc(r.ToString(), "Category" + r.ToString(), "SampleData" + r.ToString()));
            }
        }
    }
}
